Skip to main content
Monitoring & Collection/Zaku

ListGPUPools

List all GPU pools within a specified Kubernetes cluster

GET/api/v1/zaku/clusters/{clusterUuid}/gpu-pools

Operation ID

ListGPUPools

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • clusterUuid
    StringRequired

    UUID of the cluster whose GPU pools are to be listed

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the GPU pool

      Example: pool-gpu-001

    • platformId
      String

      Platform ID this GPU pool belongs to

      Example: plat-001

    • clusterUuid
      String

      UUID of the cluster this GPU pool belongs to

      Example: cluster-abc123

    • zakuId
      String

      Internal Zaku numeric identifier for this pool

      Example: 7

    • name
      String

      Human-readable name of the GPU pool

      Example: A100-pool-01

    • gpuType
      String

      Type or model family of GPUs in this pool

      Example: NVIDIA A100

    • totalCount
      Integer

      Total number of GPU cards in this pool

      Example: 8

    • availableCount
      Integer

      Number of currently available GPU cards

      Example: 3

    • lastSyncAt
      String

      Timestamp of the last sync for this GPU pool

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of GPU pools in the cluster

    Example: 3

  • limit
    Integer

    Page size used in this response

    Example: 20

  • offset
    Integer

    Offset used in this response

    Example: 20